[arch-commits] Commit in cfitsio/repos (4 files)

Andrea Scarpino andrea at archlinux.org
Mon Apr 30 03:16:53 EDT 2012


    Date: Monday, April 30, 2012 @ 03:16:53
  Author: andrea
Revision: 157938

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  cfitsio/repos/extra-i686/PKGBUILD
    (from rev 157937, cfitsio/trunk/PKGBUILD)
  cfitsio/repos/extra-x86_64/PKGBUILD
    (from rev 157937, cfitsio/trunk/PKGBUILD)
Deleted:
  cfitsio/repos/extra-i686/PKGBUILD
  cfitsio/repos/extra-x86_64/PKGBUILD

-----------------------+
 extra-i686/PKGBUILD   |   73 ++++++++++++++++++++++++------------------------
 extra-x86_64/PKGBUILD |   73 ++++++++++++++++++++++++------------------------
 2 files changed, 74 insertions(+), 72 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2012-04-30 07:16:26 UTC (rev 157937)
+++ extra-i686/PKGBUILD	2012-04-30 07:16:53 UTC (rev 157938)
@@ -1,36 +0,0 @@
-# $Id$
-# Maintainer: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=cfitsio
-pkgver=3.290
-pkgrel=1
-pkgdesc="A library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format"
-arch=('i686' 'x86_64')
-url="http://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html"
-license=('custom')
-depends=('glibc')
-options=('!libtool')
-source=("ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/${pkgname}${pkgver/./}.tar.gz")
-md5sums=('bba93808486cf5edac236a941283b3c3')
-
-build() {
-  cd "${srcdir}"/${pkgname}
-  export CFLAGS="$CFLAGS -lm"
-  ./configure --prefix=/usr
-  make  shared 
-}
-
-check() {
-  cd "${srcdir}"/${pkgname}
-  make testprog
-  LD_LIBRARY_PATH=. ./testprog > testprog.lis
-  [[ -z $(diff testprog.lis testprog.out) ]] || return 1
-  [[ -z $(cmp testprog.fit testprog.std) ]] || return 1
-}
-
-package() {
-  cd "${srcdir}"/${pkgname}
-  make DESTDIR="${pkgdir}" install
-  install -D -m644 License.txt "${pkgdir}/usr/share/licenses/${pkgname}/License.txt"
-}

Copied: cfitsio/repos/extra-i686/PKGBUILD (from rev 157937, cfitsio/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2012-04-30 07:16:53 UTC (rev 157938)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=cfitsio
+pkgver=3.300
+pkgrel=1
+pkgdesc="A library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format"
+arch=('i686' 'x86_64')
+url="http://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html"
+license=('custom')
+depends=('glibc')
+options=('!libtool')
+source=("ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/${pkgname}${pkgver/./}.tar.gz")
+md5sums=('5045e82a30495ce23fd4be2c67b987f8')
+
+build() {
+  cd "${srcdir}"/${pkgname}
+#  export CFLAGS="$CFLAGS -lm"
+  ./configure --prefix=/usr
+  make  shared 
+}
+
+check() {
+  cd "${srcdir}"/${pkgname}
+  make testprog
+  LD_LIBRARY_PATH=. ./testprog > testprog.lis
+  [[ -z $(diff testprog.lis testprog.out) ]] || return 1
+  [[ -z $(cmp testprog.fit testprog.std) ]] || return 1
+}
+
+package() {
+  cd "${srcdir}"/${pkgname}
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 License.txt \
+    "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2012-04-30 07:16:26 UTC (rev 157937)
+++ extra-x86_64/PKGBUILD	2012-04-30 07:16:53 UTC (rev 157938)
@@ -1,36 +0,0 @@
-# $Id$
-# Maintainer: Andrea Scarpino <andrea at archlinux.org>
-# Contributor: Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=cfitsio
-pkgver=3.290
-pkgrel=1
-pkgdesc="A library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format"
-arch=('i686' 'x86_64')
-url="http://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html"
-license=('custom')
-depends=('glibc')
-options=('!libtool')
-source=("ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/${pkgname}${pkgver/./}.tar.gz")
-md5sums=('bba93808486cf5edac236a941283b3c3')
-
-build() {
-  cd "${srcdir}"/${pkgname}
-  export CFLAGS="$CFLAGS -lm"
-  ./configure --prefix=/usr
-  make  shared 
-}
-
-check() {
-  cd "${srcdir}"/${pkgname}
-  make testprog
-  LD_LIBRARY_PATH=. ./testprog > testprog.lis
-  [[ -z $(diff testprog.lis testprog.out) ]] || return 1
-  [[ -z $(cmp testprog.fit testprog.std) ]] || return 1
-}
-
-package() {
-  cd "${srcdir}"/${pkgname}
-  make DESTDIR="${pkgdir}" install
-  install -D -m644 License.txt "${pkgdir}/usr/share/licenses/${pkgname}/License.txt"
-}

Copied: cfitsio/repos/extra-x86_64/PKGBUILD (from rev 157937, cfitsio/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2012-04-30 07:16:53 UTC (rev 157938)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=cfitsio
+pkgver=3.300
+pkgrel=1
+pkgdesc="A library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format"
+arch=('i686' 'x86_64')
+url="http://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html"
+license=('custom')
+depends=('glibc')
+options=('!libtool')
+source=("ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/${pkgname}${pkgver/./}.tar.gz")
+md5sums=('5045e82a30495ce23fd4be2c67b987f8')
+
+build() {
+  cd "${srcdir}"/${pkgname}
+#  export CFLAGS="$CFLAGS -lm"
+  ./configure --prefix=/usr
+  make  shared 
+}
+
+check() {
+  cd "${srcdir}"/${pkgname}
+  make testprog
+  LD_LIBRARY_PATH=. ./testprog > testprog.lis
+  [[ -z $(diff testprog.lis testprog.out) ]] || return 1
+  [[ -z $(cmp testprog.fit testprog.std) ]] || return 1
+}
+
+package() {
+  cd "${srcdir}"/${pkgname}
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 License.txt \
+    "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+}



More information about the arch-commits mailing list